<template>
    <span style="cursor: pointer" @click="openEpisode">Episode : {{getNumber}}</span>
</template>
<script>
export default {
    props: {episode: null},
    computed: {
        getNumber(){
            return this.episode.replace("https://rickandmortyapi.com/api/episode/", "");
        }
    },
    methods: {
        openEpisode(){
            this.$router.push({name: 'episode',query: { id: this.episode.replace("https://rickandmortyapi.com/api/episode/", "") },});
        },
    }
}
</script>